<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.SysOauthClientDetailsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.SysOauthClientDetails">
        <id column="id_" property="id" />
        <result column="resource_ids_" property="resourceIds" />
        <result column="client_secret_" property="clientSecret" />
        <result column="scope_" property="scope" />
        <result column="authorized_grant_types_" property="authorizedGrantTypes" />
        <result column="web_server_redirect_uri_" property="webServerRedirectUri" />
        <result column="authorities_" property="authorities" />
        <result column="access_token_validity_" property="accessTokenValidity" />
        <result column="refresh_token_validity_" property="refreshTokenValidity" />
        <result column="additional_information_" property="additionalInformation" />
        <result column="autoapprove_" property="autoapprove" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, resource_ids_, client_secret_, scope_, authorized_grant_types_, web_server_redirect_uri_, authorities_, access_token_validity_, refresh_token_validity_, additional_information_, autoapprove_
    </sql>

</mapper>
